Bug Hunting Session
Bug 40185 - EDITING Sentence case oddities
Summary: EDITING Sentence case oddities
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2011-08-17 19:27 UTC by Urmas
Modified: 2019-10-07 03:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2011-08-17 19:27:23 UTC
Apply sentence case to text: "...ONE ...TWO THREE"

Result: "...ONE ...TWO Three"
Expected: "...One ...two three"
Comment 1 Jeffrey 2011-08-20 07:55:28 UTC
Confirmed for LibreOffice 3.4  340m1(Build:103) on OpenSuse Linux.

This is likely because Libreoffice does not recognize the ellipsis character "..." and interprets them as three period marks. So the setences are divided into . | . | .ONE | . | . | . | TWO THREE. TWO THREE is in the last sentence, and since LO does not autocorrect words in all capital cases, the result you see happens.

Solution: have LO writer recognize ellipsis is not the same as the period, which marks the sentence.
Comment 2 Björn Michaelsen 2011-12-23 12:36:30 UTC Comment hidden (obsolete)
Comment 3 A (Andy) 2013-04-27 13:53:00 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 4 QA Administrators 2015-03-04 02:24:06 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-24 17:19:09 UTC
Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:24:01 UTC Comment hidden (obsolete)
Comment 7 Peter Roelofsen 2016-08-18 08:02:21 UTC
Reproduced on Libre 5.2.0.4 on Windows 10.
Comment 8 QA Administrators 2017-09-01 11:17:35 UTC Comment hidden (obsolete)
Comment 9 Telesto 2018-02-15 17:39:32 UTC
Repro
Version: 6.1.0.0.alpha0+
Build ID: 06cfd5a962f9d8d9462fc270f1b1f730c90bddfe
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 10 QA Administrators 2019-10-07 03:02:49 UTC
Dear Urmas,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug